#!/bin/sh
while true; do
    FILE=`date +%Y%j-%H%M%S.mid`
    echo ${FILE}
    pung leds set3 >/dev/null
    arecordmidi --port 64:0 --metronome=72:0 ${FILE}
    case $? in
	0)
	    pung leds clr3 >/dev/null
	    aplaymidi --port 64:0 2006097-220536.mid
	    echo "keep"
	    echo "${FILE} kept"
	;;
	1)
	    pung leds clr3 >/dev/null
	    aplaymidi --port 64:0 2006097-220533.mid
	    echo "discard"
	    echo "${FILE} discarded"
	    rm --verbose ${FILE}
	;;
	2)
	    pung leds clr3 >/dev/null
	    echo "terminate"
	    echo "${FILE} discarded"
	    rm --verbose ${FILE}
	    exit
	;;
	*)
	    pung leds clr3 >/dev/null
	    echo "unexpected"
	    ;;
    esac
    sleep 1
done
